<?php
/**
 * List comments callback
 *
 * @since 0.0.1
 *
 */

function ubc_wp_clf_lite_comments_callback( $comment, $args, $depth ) {

	?>

	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">

		 <article id="comment-<?php comment_ID(); ?>">


				<?php echo get_avatar( $comment, $size = '48', $default = '<path_to_url>' ); ?>
				<div class="comment-author vcard">
					<?php printf( wp_kses_post( __( '<strong class="fn">%s</strong> <span class="says">says:</span>' ) ), get_comment_author_link() ); ?>
				</div>
				<!-- .comment-author -->

			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Your comment is awaiting moderation.' ); ?></em>
				<br />
			<?php endif; ?>

			<div class="comment-meta">
				<time datetime="<?php echo esc_attr( get_comment_date( 'c' ) ); ?>">
					<a href="<?php echo esc_url( htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ); ?>"><small><?php printf( esc_html( __( '%1$s at %2$s' ) ), get_comment_date(),  get_comment_time() ) ?></small></a>
				</time>
				<small><?php edit_comment_link( __( 'Edit' ),'  ','' ) ?></small>
			</div><!-- .comment-meta -->
			<?php comment_text() ?>

			<div class="reply-edit">
				<span class="button hollow small">
					<?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ) ?>
				</span>
			<!-- .reply -->
		</article>

	 </li>
	 <!-- .comment -->

<?php }
