<?php
global $post;

if ( ! is_a( $post, 'WP_Post' ) ) {
	return;
}

global $postid;

//Find the current posts id
$postid = $post->ID;

//Find the current posts parent id
$get_section_parent_id = $post->post_parent;

//Exclude the parent from ever showing in the $args array using post__not_in
$all = get_posts( array( 'post_type' => 'section', 'posts_per_page' => -1 ) );

$parents = array();

foreach ( $all as $single ) {

	$kids = get_children( $single->ID );

	if ( isset( $kids ) && ! empty( $kids ) && count( $kids ) >= 1 ) :

			$parents[] = $single->ID;

	endif;

}

// Lets find out if the post is a parent or child and return the id in the $args array so it will only show the childern of the parent whether on a child or parent* just in case
$post_id_for_query = ( $post->post_parent ) ? $get_section_parent_id : $postid;

//Our args array for  $sections_list_query query
$args = array(

	'post_type' => 'section',
	'post_parent' => $post_id_for_query,
	'posts_per_page' => -1,
	'post__not_in' => $parents,
	'orderby' => 'menu_order parent date',
	'order' => 'ASC',

);

// Our new query
$sections_list_query = new WP_Query( $args );

	//Start path and template paths for loop templates
$startPath = trailingslashit( dirname( __FILE__ ) ) . '../template-parts';
$templateNames = 'courses-section-list.php';

if ( $sections_list_query -> have_posts() ) :

	while ( $sections_list_query -> have_posts() ) : $sections_list_query -> the_post();

		 \UBC\Helpers::locate_template_part_in_plugin( $startPath, $templateNames, true, false );

	endwhile;

	wp_reset_postdata();

else :

	echo '<p>These aren\'t the droids you\'re looking for</p>';

endif;
