<?php
/**
 * Add top banner if available.
 *
 * @package ubc-wp-clf-lite
 */

// images attributes array arguments
$args = array( 'id' => 'img-responsive', 'data-resize' => '.site-banner' );

// If post has thumbnail us wp_get_attachment_image with the attachment id so we can pass some arguments
$banner_img = has_post_thumbnail() ? wp_get_attachment_image( get_post_thumbnail_id() , 'full', '', $args ) : get_header_image_tag( $args );

if ( has_header_image() || has_post_thumbnail() ) : ?>

	<div class="site-banner">
			<?php echo $banner_img; ?>
	</div><!-- .site-banner -->


<?php endif; // End header image check.
